org.apache.sling.sample.slingshot.comments

## Class Comment

- java.lang.Object
- - org.apache.sling.sample.slingshot.comments.Comment

    public class Comment
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Comment()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Calendar` `getCreated()`
`String` `getCreatedBy()`
`String` `getText()`
`String` `getTitle()`
`void` `setCreated(Calendar created)`
`void` `setCreatedBy(String createdBy)`
`void` `setText(String text)`
`void` `setTitle(String title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Comment

    public Comment()

### Method Detail

#### getTitle

    public String getTitle()

#### getText

    public String getText()

#### getCreated

    public Calendar getCreated()

#### getCreatedBy

    public String getCreatedBy()

#### setTitle

    public void setTitle(String title)

#### setText

    public void setText(String text)

#### setCreated

    public void setCreated(Calendar created)

#### setCreatedBy

    public void setCreatedBy(String createdBy)